# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "crtty"
version = "0.1.1"
build = false
exclude = [
    "assets/",
    ".github/",
    "PKGBUILD",
    "flake.nix",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Post-processing shader framework for OpenGL apps via LD_PRELOAD"
homepage = "https://github.com/kosa12/CRTty"
readme = "README.md"
keywords = [
    "crt",
    "kitty",
    "terminal",
    "opengl",
    "postprocessing",
]
categories = [
    "graphics",
    "rendering",
]
license = "MIT"
repository = "https://github.com/kosa12/CRTty"

[lib]
name = "crtty"
path = "src/lib.rs"

[dependencies.libc]
version = "0.2"

[profile.dev]
panic = "abort"

[profile.release]
lto = true
panic = "abort"
strip = "symbols"
